use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IVerbatim {
    pub(crate) contents: String,
}

intermediate!(IVerbatim, Verbatim, original, _registry, {
    Ok(IVerbatim {
        // TODO: Should this coalesce whitespace like PlainText?
        contents: original.contents.to_owned(),
    })
});
